#ifndef ABSTRACTPARSER_H
#define ABSTRACTPARSER_H

#include <Arduino.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

class AbstractParser
{
public:
    AbstractParser(const char *resource);
    virtual ~AbstractParser();
    virtual void *parseFile() = 0;
    virtual boolean save(void *data) = 0;
protected:
    char *_resource;
private:
};

#endif //ABSTRACTPARSER_H
